#!/bin/sh

res="/tmp/service_result_message"
url="http://micha86.zz.mu/Dune/codecpack/codecpack.zip"
version_url="http://micha86.zz.mu/Dune/codecpack/version.txt"
#archive="codecpack.zip"
#codepack_dir="/codecpack"

#копия лога в /D
copy_log_in_D ()
{
	if [ -d /D ] ; then
           rm /D/install_codecs.log
           cp -pf "$res" /D/install_codecs.log
        fi 
}

#выход если ошибка
error ()
{
  rm -rf /tmp/codecpack /tmp/codecpack.zip
  copy_log_in_D
  exit 1
}

#проверка на ошибку
check_error ()
{
  if [ $1 -eq 0 ];then
     echo $2 "[Oк]" >> $res
     return 0
  else
     echo $2 "[Failure]"
     echo "Ошибка: " $command >> $res
     error 
  fi
}

#установка кодеков
install_codecs ()
{
  echo "[Info]Установка кодеков в $dest" >> $res
  #загрузка файла  с сервера
  command=$(wget $url -q  2>&1 >/dev/null)
  check_error $? "Загрузка файла "

  #распаковка полученого файла 
  command=$(unzip -q /tmp/codecpack.zip 2>&1 )
  check_error $? "Распаковка codecpack.zip"

  #удаление и установка
  if [ -d "$dest/codecpack" ]; then
    rm -Rf "$dest/codecpack"
  fi
  command=$(mv -f  "codecpack" "$dest/")
  check_error $? "Копирование файлов в $dest" 

  #делаем файлы исполняемыми  
  chmod -R +x "$dest/codecpack/bin/"
  chmod -R +x "$dest/codecpack/WWW/cgi-bin/"

  #установка скрипта для запуска httpd сервера при загрузке приставки на порт 81
  bootdir="/config/boot"
  bootfile="/config/boot/rtmpboot.sh"
  if [ ! -d "$bootdir" ];then
      mkdir $bootdir
  fi
  if [ ! -x "$bootfile" ];then
      echo -e "#! /bin/sh \nhttpd -h "$dest/codecpack/WWW" -p 81 \n" >> $bootfile
      chmod +x $bootfile 	  
  fi

  #запущен ли сервер на 81 порту если да то убиваем процес
  kill `ps -A | grep httpd | grep 81 | awk '{print($1)}'` || echo "Failure" && echo "Ок"
  #запуск сервера
  command=$(httpd -h "$dest/codecpack/WWW" -p 81 2>&1 >/dev/null)
  check_error $? "Запуск сервера на 81 порт" 
}


#main
cd /tmp
echo "Установка кодеков" > $res
#чистка
rm -rf /tmp/codecpack /tmp/codecpack.zip
#проверка куда будут установлены кодеки
#приоретет
#1 /persistfs
#2 /D
#3 /flashdata не рекомендуется т.к там мало места
if [ -d /persistfs ];then
       dest="/persistfs"
else
   if [[! -d /D] && [-d /flashdata]];then

      dest="/flashdata"
   else
      dest="/D"
   fi
fi


if [ -d "$dest/codecpack" ];then
   if [ -r "$dest/codecpack/version.txt" ];then
      command=$(wget $version_url -q -O - 2>&1 )
      a=${command/v=/}
      s=$(cat $dest/codecpack/version.txt)
      b=${s/v=/}
      echo "[Info]Версия на сервере:"$a "установленая версия:" $b >> $res
      if [ $a -gt $b ];then
         echo "[Info]Oбновление кодеков" >> $res
         install_codecs
         echo "[Info]Oбновление прошло успешно" >> $res
      else
         echo "[Info]Oбновления не требуется" >> $res
      fi
   else
      echo "[Info]Oбновление старой версии" >> $res
      install_codecs
      echo "[Info]Oбновление прошло успешно" >> $res
   fi
else
   echo "[Info]Кодеки не установлены,производится установка" >> $res
   install_codecs
   echo "[Info]Установка прошлa успешно" >> $res
fi
rm -rf /tmp/codecpack /tmp/codecpack.zip
copy_log_in_D
echo "[Info]Приятного просмотра!" >> $res
exit 0










