﻿<?php

class BTLocalization
{

    private $lang = 'english';

    private static $VOCABULARY = array(
        'english' => array(
            // English vocabulary
            1 => 'Refresh',
            2 => 'Running',
            3 => 'Stopped',
            4 => 'Stop Service',
            5 => 'Restart Service',
            6 => 'Start Service',
            7 => 'Auto start:',
            8 => 'In PC browser go to:',
            9 => 'Credentials:',
            10 => "No",
            11 => "Yes",
            12 => "Service status:",
        	13 => "Storage device:",
        	14 => "No storage device has been found.",
        	15 => "Please attach a storage device and reboot the player.",
        	16 => "Storage device:",
        	17 => "Choosen storage device has less",
        	18 => "than 100 MB of free space.",
        	19 => "Apply",
        	20 => "After pressing \"Apply\"",
        	21 => "all active torrents will be lost.",
        	22 => "default login:",
        	23 => "no password"

        ),

        'russian' => array(
            // English vocabulary
           1 => 'Обновить',
           2 => 'Работает',
           3 => 'Остановлен',
           4 => 'Остановить сервис',
           5 => 'Перезапустить сервис',
           6 => 'Запустить сервис',
           7 => 'Автозапуск:',
           8 => 'В браузере на ПК откройте:',
           9 => 'Авторизация:',
           10 => "Нет",
           11 => "Да",
           12 => "Статус сервиса:",
           13 => "Накопитель:",
        	14 => "Не найдено накопителей.",
        	15 => "Пожалуйста, подключите накопитель и перегрузите плеер.",
        	16 => "Накопитель:",
        	17 => "Выбранный накопитель имеет менее",
        	18 => "100 МБ свободного пространства.",
        	19 => "Применить",
        	20 => "После нажатия \"Применить\"",
        	21 => "все активные торренты будут потеряны.",
            22 => "логин по-умолчанию:",
            23 => "без пароля"
        )

    );

    public function __construct()
    {
        hd_print(__METHOD__);
        $this->determine_language();
    }

    private function determine_language()
    {
        $path = '/config/settings.properties';
        $properties = file($path);
        foreach ($properties as $property)
        {
            if (stristr($property, 'interface_language = ')) {
                $this->lang = trim( str_replace('interface_language = ', '', $property) );
                hd_print('determined system language as: ' . $this->lang);
                break;
            }
        }

        // make sure this language is present in our vocabulary
        $bFound = false;
        foreach (self::$VOCABULARY as $l => $vacab) {
            if ( $l == $this->lang ) $bFound = true;
        }
        if ( !$bFound ) $this->lang = 'english';
    }

    public function get_interface_language()
    { return $this->lang; }

    public function get_term($string) {

        // find this string in primary vocabulary (English),
        // then use matched index to select a translation
        // if none found, output the string
        if ($k = array_search($string, self::$VOCABULARY['english'])) {
            return self::$VOCABULARY[$this->lang][$k];
        } else {
            return $string;
        }
    }
}
