﻿<?php

require_once 'lib/abstract_controls_screen.php';

class BTSetupScreen extends AbstractControlsScreen
{
    const ID = 'setup_screen';

    private $manager;
    private $v;

    public static function get_media_url_str() {
        
        return MediaURL::encode(array('screen_id' => self::ID));
    }

    public function __construct(SettingManager $m, BTLocalization $localization) {
        $this->manager = $m;
        $this->v = $localization;
        parent::__construct(self::ID);
    }

    public function do_get_control_defs(&$plugin_cookies) {
         $main_icon = isset($plugin_cookies->main_icon) ? $plugin_cookies->main_icon : 'yes';
		  $show_ops = array();
			$show_ops['yes'] = 'Да';
			$show_ops['no'] = 'Нет';
            $this->add_label($defs, "ВНИМАНИЕ:", $this->v->get_term("После установки этого плагина добавляется поддержка flv только для"));
			$this->add_label($defs, "", $this->v->get_term("файлов/потоков с интернета (через плейлисты или плагины) файлы с"));
			$this->add_label($defs, "", $this->v->get_term("локального HDD, флешек или по SMB/NFS воспроизводится не будут!"));
			$this->add_label($defs, "", $this->v->get_term("Как нужно прописывать потоки в плейлистах(троеточие ваша ссылка):"));
        	$this->add_label($defs, "RTSP", $this->v->get_term("http://ts://127.0.0.1:81/cgi-bin/rtsp.sh?..."));
			$this->add_label($defs, "RTMP, RTMPE", $this->v->get_term("http://ts://127.0.0.1:81/cgi-bin/rtmp.sh?-r ... (после-r пробел)"));
			$this->add_label($defs, "FLV", $this->v->get_term("http://ts://127.0.0.1:81/cgi-bin/flv.sh?..."));
			if (file_exists('/tmp/service_result_message')) {
			$this->add_button ($defs, 'info_log',"", 'Просмотреть лог установки', 0);}
			else{
			if (file_exists('/persistfs/codecpack/')) {
			$ver = file_get_contents('/persistfs/codecpack/version.txt');
			$ver = str_replace("=", "", $ver);
			$this->add_label($defs, "Версия:$ver", $this->v->get_term("Установлено на инициализированый системный накопитель."));}
			elseif (file_exists('/D/codecpack/')) {
			$ver = file_get_contents('/D/codecpack/version.txt');
			$ver = str_replace("=", "", $ver);
			$this->add_label($defs, "Версия:$ver", $this->v->get_term("Установлено в каталог первого HDD/USB-диска."));}
			elseif (file_exists('/flashdata/codecpack/')) {
			$ver = file_get_contents('/flashdata/codecpack/version.txt');
			$ver = str_replace("﻿=", "", $ver);
			$this->add_label($defs, "Версия: $ver", $this->v->get_term("Установлено во флеш память (не рекомендуется т.к там мало места)"));}}
			$this->add_label($defs, "", $this->v->get_term("Показывать иконку в главном меню:"));
			$this->add_combobox($defs, 'show_main_icon', '', $main_icon, $show_ops, 0, true);
        return $defs;
    }

    public function get_control_defs(MediaURL $media_url, &$plugin_cookies){
        $this->manager->init($plugin_cookies);
        return $this->do_get_control_defs($plugin_cookies);
    }

    public function handle_user_input(&$user_input, &$plugin_cookies)
    {
		switch($user_input->control_id) {
			case 'show_main_icon':
                    $control_id = $user_input->control_id;
					$new_value = $user_input->{$control_id};
                    $plugin_cookies->main_icon = $new_value;
                    break;
			case 'info_log':
                   
				$post_action = null;
						$defs = array();
						$texts = file('/tmp/service_result_message');
						$texts = array_values($texts);
						foreach($texts as $text)
						{
						ControlFactory::add_label($defs, "", trim($text));
						}
						ControlFactory::add_custom_close_dialog_and_apply_buffon($defs, 'setup', 'Ok', 150,  $post_action);

						return ActionFactory::show_dialog('Лог установки', $defs);
                    break;
		}
		return ActionFactory::reset_controls($this->do_get_control_defs($plugin_cookies));
    }
}
